summaryrefslogtreecommitdiffstats
path: root/system/apple-fonts-SF
diff options
context:
space:
mode:
Diffstat (limited to 'system/apple-fonts-SF')
-rw-r--r--system/apple-fonts-SF/README31
-rw-r--r--system/apple-fonts-SF/apple-fonts-SF.SlackBuild91
-rw-r--r--system/apple-fonts-SF/apple-fonts-SF.info14
-rw-r--r--system/apple-fonts-SF/doinst.sh10
-rw-r--r--system/apple-fonts-SF/slack-desc19
5 files changed, 165 insertions, 0 deletions
diff --git a/system/apple-fonts-SF/README b/system/apple-fonts-SF/README
new file mode 100644
index 0000000000..d9c30f4daa
--- /dev/null
+++ b/system/apple-fonts-SF/README
@@ -0,0 +1,31 @@
+Apple San Francisco fonts
+
+These typefaces offer the control and flexibility to optimally display
+text at a variety of sizes, in many different languages, across multiple
+interfaces.
+
+This provides the following OTF fonts:
+
+SF Pro
+This neutral, flexible, sans-serif typeface is the system font for iOS,
+iPad OS, macOS and tvOS. SF Pro features nine weights, variable optical
+sizes for optimal legibility, four widths, and includes a rounded
+variant. SF Pro supports over 150 languages across Latin, Greek, and
+Cyrillic scripts.
+
+SF Compact
+Sharing many features with SF Pro, SF Compact features an efficient,
+compact design that is optimized for small sizes and narrow columns. SF
+Compact is the system font for watchOS and includes a rounded variant.
+
+SF Mono
+This monospaced variant of San Francisco enables alignment between rows
+and columns of text, and is used in coding environments like Xcode. SF
+Mono features six weights and supports Latin, Greek, and Cyrillic
+scripts.
+
+NOTE:
+SF-Compact.ttf, SF-Compact-Italic.ttf, SF-Pro.ttf and SF-Pro-Italic.ttf
+are not included in the package, because some programs like OpenOffice
+have problems with it (crash on start). In fact, FontForge reports "bad
+device table" for these. Same applies for SF Arabic.
diff --git a/system/apple-fonts-SF/apple-fonts-SF.SlackBuild b/system/apple-fonts-SF/apple-fonts-SF.SlackBuild
new file mode 100644
index 0000000000..527489be30
--- /dev/null
+++ b/system/apple-fonts-SF/apple-fonts-SF.SlackBuild
@@ -0,0 +1,91 @@
+#!/bin/bash
+
+# Slackware build script for <apple-fonts-SF>
+
+# Copyright 2023 Petar Petrov slackalaxy at gmail dot com
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=apple-fonts-SF
+VERSION=${VERSION:-2023}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+ARCH=noarch
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir -p $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+
+7z x $CWD/SF-Compact.dmg
+7z x $CWD/SF-Mono.dmg
+7z x $CWD/SF-Pro.dmg
+
+mkdir -p $PKG/usr/share/fonts/OTF
+
+cd SFCompactFonts
+7z x SF\ Compact\ Fonts.pkg
+7z x Payload~
+cd Library/Fonts
+cp -a *.otf $PKG/usr/share/fonts/OTF
+cd ../../..
+
+cd SFMonoFonts
+7z x SF\ Mono\ Fonts.pkg
+7z x Payload~
+cd Library/Fonts
+cp -a *.otf $PKG/usr/share/fonts/OTF
+cd ../../..
+
+cd SFProFonts
+7z x SF\ Pro\ Fonts.pkg
+7z x Payload~
+cd Library/Fonts
+cp -a *.otf $PKG/usr/share/fonts/OTF
+
+# just in case...
+chmod 0644 $PKG/usr/share/fonts/OTF/*.otf
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/system/apple-fonts-SF/apple-fonts-SF.info b/system/apple-fonts-SF/apple-fonts-SF.info
new file mode 100644
index 0000000000..5b802c60b2
--- /dev/null
+++ b/system/apple-fonts-SF/apple-fonts-SF.info
@@ -0,0 +1,14 @@
+PRGNAM="apple-fonts-SF"
+VERSION="2023"
+HOMEPAGE="https://developer.apple.com/fonts/"
+DOWNLOAD="https://devimages-cdn.apple.com/design/resources/download/SF-Pro.dmg \
+https://devimages-cdn.apple.com/design/resources/download/SF-Compact.dmg \
+https://devimages-cdn.apple.com/design/resources/download/SF-Mono.dmg"
+MD5SUM="5d018413a9143d281bea4c7d8d6a9742 \
+02585cd22130ace172c0a1dcfbe1d466 \
+83dce1b94964815267e1ba1c9280e977"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="p7zip"
+MAINTAINER="Petar Petrov"
+EMAIL="slackalaxy@gmail.com"
diff --git a/system/apple-fonts-SF/doinst.sh b/system/apple-fonts-SF/doinst.sh
new file mode 100644
index 0000000000..412793f9d9
--- /dev/null
+++ b/system/apple-fonts-SF/doinst.sh
@@ -0,0 +1,10 @@
+if [ -x /usr/bin/mkfontdir ]; then
+ ( cd /usr/share/fonts/OTF
+ mkfontscale .
+ mkfontdir .
+ )
+fi
+
+if [ -x /usr/bin/fc-cache ]; then
+ /usr/bin/fc-cache -f
+fi
diff --git a/system/apple-fonts-SF/slack-desc b/system/apple-fonts-SF/slack-desc
new file mode 100644
index 0000000000..9abaa74bce
--- /dev/null
+++ b/system/apple-fonts-SF/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+apple-fonts-SF: apple-fonts-SF (Apple San Francisco fonts)
+apple-fonts-SF:
+apple-fonts-SF: These typefaces offer the control and flexibility to optimally
+apple-fonts-SF: display text at a variety of sizes, in many different languages,
+apple-fonts-SF: across multiple interfaces.
+apple-fonts-SF:
+apple-fonts-SF: This includes: SF Pro, SF Compact and SF Mono.
+apple-fonts-SF:
+apple-fonts-SF: https://developer.apple.com/fonts/
+apple-fonts-SF:
+apple-fonts-SF: